Index: trunk/source/Lib/TLibCommon/TComMv.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComMv.h	(revision 1179)
+++ trunk/source/Lib/TLibCommon/TComMv.h	(revision 1313)
@@ -2,7 +2,7 @@
  * License, included below. This software may be subject to other third party
  * and contributor rights, including patent rights, and no such rights are
- * granted under this license.  
+ * granted under this license.
  *
-* Copyright (c) 2010-2015, ITU/ISO/IEC
+ * Copyright (c) 2010-2015, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -40,5 +40,7 @@
 
 #include "CommonDef.h"
+#if NH_3D
 #include <cstdlib>
+#endif
 
 //! \ingroup TLibCommon
@@ -55,5 +57,5 @@
   Short m_iHor;     ///< horizontal component of motion vector
   Short m_iVer;     ///< vertical component of motion vector
-#if H_3D_NBDV
+#if NH_3D_NBDV
   Bool  m_bIDV;       
   Short m_iIDVHor;    
@@ -62,13 +64,13 @@
 #endif
 public:
-  
+
   // ------------------------------------------------------------------------------------------------------------------
   // constructors
   // ------------------------------------------------------------------------------------------------------------------
-  
+
   TComMv() :
   m_iHor(0),
   m_iVer(0)
-#if H_3D_NBDV
+#if NH_3D_NBDV
   , m_bIDV(false)
   , m_iIDVHor(0)
@@ -78,9 +80,9 @@
   {
   }
-  
+
   TComMv( Short iHor, Short iVer ) :
   m_iHor(iHor),
   m_iVer(iVer)
- #if H_3D_NBDV
+ #if NH_3D_NBDV
   , m_bIDV(false)
   , m_iIDVHor(0)
@@ -90,19 +92,19 @@
   {
   }
-  
+
   // ------------------------------------------------------------------------------------------------------------------
   // set
   // ------------------------------------------------------------------------------------------------------------------
-  
+
   Void  set       ( Short iHor, Short iVer)     { m_iHor = iHor;  m_iVer = iVer;            }
   Void  setHor    ( Short i )                   { m_iHor = i;                               }
   Void  setVer    ( Short i )                   { m_iVer = i;                               }
-  Void  setZero   ()                            { m_iHor = m_iVer = 0;  
- #if H_3D_NBDV
+  Void  setZero   ()                            { m_iHor = m_iVer = 0; 
+ #if NH_3D_NBDV
    m_bIDV = false; m_iIDVHor = m_iIDVVer = 0;
    m_iIDVVId = 0; 
 #endif
-  }
-#if H_3D_NBDV
+ }
+#if NH_3D_NBDV
   Void   setIDVHor  (Short i)                    {m_iIDVHor = i;}
   Void   setIDVVer  (Short i)                    {m_iIDVVer = i;}
@@ -113,10 +115,10 @@
   // get
   // ------------------------------------------------------------------------------------------------------------------
-  
+
   Int   getHor    () const { return m_iHor;          }
   Int   getVer    () const { return m_iVer;          }
   Int   getAbsHor () const { return abs( m_iHor );   }
   Int   getAbsVer () const { return abs( m_iVer );   }
-#if H_3D_NBDV
+#if NH_3D_NBDV
   Short getIDVHor () const { return m_iIDVHor;       }
   Short getIDVVer () const { return m_iIDVVer;       }
@@ -128,5 +130,5 @@
   // operations
   // ------------------------------------------------------------------------------------------------------------------
-  
+
   const TComMv& operator += (const TComMv& rcMv)
   {
@@ -135,5 +137,5 @@
     return  *this;
   }
-  
+
   const TComMv& operator-= (const TComMv& rcMv)
   {
@@ -142,5 +144,5 @@
     return  *this;
   }
-  
+
   const TComMv& operator>>= (const Int i)
   {
@@ -149,5 +151,5 @@
     return  *this;
   }
-  
+
   const TComMv& operator<<= (const Int i)
   {
@@ -156,25 +158,25 @@
     return  *this;
   }
-  
+
   const TComMv operator - ( const TComMv& rcMv ) const
   {
     return TComMv( m_iHor - rcMv.m_iHor, m_iVer - rcMv.m_iVer );
   }
-  
+
   const TComMv operator + ( const TComMv& rcMv ) const
   {
     return TComMv( m_iHor + rcMv.m_iHor, m_iVer + rcMv.m_iVer );
   }
-  
+
   Bool operator== ( const TComMv& rcMv ) const
   {
     return (m_iHor==rcMv.m_iHor && m_iVer==rcMv.m_iVer);
   }
-  
+
   Bool operator!= ( const TComMv& rcMv ) const
   {
     return (m_iHor!=rcMv.m_iHor || m_iVer!=rcMv.m_iVer);
   }
-  
+
   const TComMv scaleMv( Int iScale ) const
   {
